Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510301 - PulseAudio sometimes does not restart properly after logging out
Summary: PulseAudio sometimes does not restart properly after logging out
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker https://fedoraproject...
: 1517475 1554125 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 07:26 UTC by Saurav Sengupta
Modified: 2018-03-13 23:12 UTC (History)
19 users (show)

Fixed In Version: pulseaudio-11.1-15.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 23:12:59 UTC


Attachments (Terms of Use)

Description Saurav Sengupta 2017-11-07 07:26:47 UTC
Description of problem:
Sometimes PulseAudio does not restart properly after logging out of a Fedora 27 desktop environment. After logging back in, the system fails to find any audio devices whatsoever and sound input and output is effectively disabled until reboot. This happens occasionally on Fedora 27 Workstation (GNOME), but happens every time on the Fedora 27 KDE Spin.

Version-Release number of selected component (if applicable):
pulseaudio-11.1-3.fc27.x86_64

How reproducible:
Sometimes (GNOME); Always (KDE)

Steps to Reproduce:
1. Log out of the desktop environment.
2. Log back in.
3. (Repeat)

Actual results:
The audio subsystem (sometimes) fails to come up, resulting in no audio devices being found.

Expected results:
All devices should be working after logging out/in.

Additional info:
As a workaround on KDE, run pulseaudio --kill on logout.

Comment 1 Saurav Sengupta 2017-11-07 07:29:29 UTC
Proposing as final blocker because it violates Final Release Requirements/Post-install requirements/System services (http://fedoraproject.org/wiki/Fedora_27_Final_Release_Criteria#System_services).

Comment 2 Rex Dieter 2017-11-07 11:47:25 UTC
May depend on how fast you login again, see /etc/pulse/daemon.conf option:
; exit-idle-time = 20

which means, pulseaudio may stick around for at least 20 seconds after logout.

You can consider setting that shorter, and/or set
KillUserProcesses=yes
in /etc/systemd/logind.conf

Comment 3 Rex Dieter 2017-11-07 13:44:37 UTC
For what it's worth, and given comment #2 and my experience, this is not new and not a regression in behavior.  I'm -1 and against treating this as any sort of blocker

Comment 4 Matthew Miller 2017-11-07 14:09:31 UTC
I think this is related to the issues around https://fedoraproject.org/wiki/Changes/KillUserProcesses_by_default, which is not an easy problem. I don't think this violates the release criteria.

Comment 5 Vitaly Zaitsev 2017-11-07 14:36:02 UTC
Same problem after update on Fedora 26.

Comment 6 Saurav Sengupta 2017-11-07 15:49:37 UTC
(In reply to Rex Dieter from comment #2)
> May depend on how fast you login again, see /etc/pulse/daemon.conf option:
> ; exit-idle-time = 20
> 
> which means, pulseaudio may stick around for at least 20 seconds after
> logout.
> 
> You can consider setting that shorter, and/or set
> KillUserProcesses=yes
> in /etc/systemd/logind.conf

Works as you have said with exit-idle-time reduced; need to wait at least that amount of time before logging in again. PulseAudio restarts properly with exit-idle-time set to 0.

Comment 7 Adam Williamson 2017-11-07 19:15:03 UTC
-1 blocker. I don't believe this violates the criterion cited, which is: "All system services present after installation with one of the release-blocking package sets must start properly, unless they require hardware which is not present". For a start, pulseaudio is not a system service. For a second, in basic usage - which is really what the criterion covers - it *does* start correctly. It only fails in this more complex scenario (logging out and back in again).

Comment 8 Dusty Mabe 2017-11-08 13:44:50 UTC
-1 blocker

Comment 9 Petr Schindler 2017-11-08 14:40:35 UTC
I was able to reproduce this with KDE. But I don't think that we should block on this. I agree with Adam that to break it user has to do more steps. This could problem on multi-user systems (like in schools). But I don't think that running sounds is the main feature on such systems.

There is quite an easy workaround:
pkill pulseaudio; pulseaudio --start

-1 blocker; +1 FE in case that we won't ship this week.

Comment 10 Kamil Páral 2017-11-09 12:21:56 UTC
I'm going to disagree with others here, but I consider this to be a blocker. Logging out and back in is not a complex scenario, but a pretty basic one (and covered in criteria). Sound is a basic functionality, also covered in criteria. 

If this was discovered earlier, I'd be +1 blocker. However, since this was discovered very late in the process, and this problem, while inconvenient, is not  really critical (should not be encountered too often, has no serious consequences), I'm fine with rejecting this and (hopefully) fix this with a later update.

I'd like to have this accepted as a F28 blocker, though. Proposing right away.

Comment 11 Matthew Miller 2017-11-09 14:29:26 UTC
Kamil -- note that it's not just something that happens every time you log out. It's something that happens if you log out and log back in again very quickly. 

I'm -1 on it as a blocker for F28, too, unless we're going to add whole classes of annoying bugs to the potential-blocker category. And for that matter, this appears to be something that could be solved by a zero day (sure, one could potentially recreate in a live session, but... generally one wouldn't).

Comment 12 Adam Williamson 2017-11-09 21:12:48 UTC
Discussed at 2017-11-09 Final Go/No-Go meeting, acting as a blocker review meeting: https://meetbot-raw.fedoraproject.org/fedora-meeting-1/2017-11-09/f27-final-and-server-beta-go-no-go-meeting.2017-11-09-18.02.html . This was rejected as a blocker for both F27 and F28; there was general agreement that it doesn't really constitute a violation of any criteria and is only an annoyance that's not severe enough to block the release. We will document the issue in commonbugs and advise waiting 20 seconds between logins, or changing the setting.

Comment 13 Rex Dieter 2017-11-27 14:01:22 UTC
*** Bug 1517475 has been marked as a duplicate of this bug. ***

Comment 14 Rex Dieter 2018-01-08 17:26:48 UTC
%changelog
* Mon Jan 08 2018 Rex Dieter <rdieter@fedoraproject.org> - 11.1-8
- exit-idle-time = 4 (#1510301)

Reduce default idle time (20 -> 4) to mitigate this

Comment 15 Fedora Update System 2018-03-01 22:58:36 UTC
pulseaudio-11.1-13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef0b897e5d

Comment 16 Fedora Update System 2018-03-02 17:33:50 UTC
pulseaudio-11.1-13.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef0b897e5d

Comment 17 Fedora Update System 2018-03-06 16:46:15 UTC
pulseaudio-11.1-15.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef0b897e5d

Comment 18 Fedora Update System 2018-03-07 15:34:58 UTC
pulseaudio-11.1-15.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ef0b897e5d

Comment 19 Rex Dieter 2018-03-11 19:36:33 UTC
*** Bug 1554125 has been marked as a duplicate of this bug. ***

Comment 20 Fedora Update System 2018-03-13 23:12:59 UTC
pulseaudio-11.1-15.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.